"use strict";

exports.__esModule = true;
exports.shouldHandleOnKeys = void 0;
var _accessibility = require("@fluentui/accessibility");
var isKeyModifiersMatch = function isKeyModifiersMatch(modifierValue, combinationValue) {
  if (combinationValue === undefined) {
    return true;
  }
  return modifierValue === combinationValue;
};
var shouldHandleOnKeys = function shouldHandleOnKeys(event, keysCombinations) {
  return keysCombinations.some(function (keysCombination) {
    return keysCombination.keyCode === (0, _accessibility.getCode)(event) && isKeyModifiersMatch(event.altKey, keysCombination.altKey) && isKeyModifiersMatch(event.shiftKey, keysCombination.shiftKey) && isKeyModifiersMatch(event.metaKey, keysCombination.metaKey) && isKeyModifiersMatch(event.ctrlKey, keysCombination.ctrlKey);
  });
};
exports.shouldHandleOnKeys = shouldHandleOnKeys;
//# sourceMappingURL=shouldHandleOnKeys.js.map
