"use strict";

exports.__esModule = true;
exports.mergeProps = mergeProps;
var _resolveSlotProps = require("./resolveSlotProps");
/**
 * Merge props takes in state and compose options, and resolves slots and slotProps.
 * It's expected that the component will call mergeProps(state, options) from within
 * render; after resolving state and before rendering slots and slotProps.
 */
function mergeProps(state, options) {
  var result = {
    state: state,
    slots: Object.assign({}, options.slots, {
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      root: state.as || options.slots.root || 'div'
    }),
    slotProps: {}
  };

  // Resolve slotProps/slots from state.
  (0, _resolveSlotProps.resolveSlotProps)(result, options);

  // TODO: Resolve inline styles.

  return result;
}
//# sourceMappingURL=mergeProps.js.map
