"use strict";

exports.__esModule = true;
exports.useDispatchEffect = void 0;
var React = _interopRequireWildcard(require("react"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var useDispatchEffect = function useDispatchEffect(dispatchEffect) {
  var latestEffect = React.useRef(dispatchEffect);
  var latestEvent = React.useRef(null);
  latestEffect.current = dispatchEffect;
  var dispatch = React.useCallback(function (e, action) {
    latestEvent.current = e;
    for (var _len = arguments.length, args = new Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
      args[_key - 2] = arguments[_key];
    }
    action.apply(void 0, args);
    latestEvent.current = null;
  }, []);
  var sideEffect = React.useCallback(function (prevState, nextState) {
    return latestEffect.current(latestEvent.current, prevState, nextState);
  }, []);
  return [dispatch, sideEffect];
};
exports.useDispatchEffect = useDispatchEffect;
//# sourceMappingURL=useDispatchEffect.js.map
