"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.convertCssTimeToNumber = void 0;
var _isNil2 = _interopRequireDefault(require("lodash/isNil"));
var convertCssTimeToNumber = function convertCssTimeToNumber(time) {
  if ((0, _isNil2.default)(time) || time === 'initial' || time === 'inherit') {
    return 0;
  }
  var lastTwoCharacters = time.slice(-2);
  if (lastTwoCharacters !== 'ms' && lastTwoCharacters[1] !== 's') {
    return 0;
  }
  var isMs = lastTwoCharacters === 'ms';
  var multiplier = isMs ? 1 : 1000;
  var stringNumber = isMs ? time.slice(0, -2) : time.slice(0, -1);
  var number = parseFloat(stringNumber);
  return isNaN(number) ? 0 : multiplier * number;
};
exports.convertCssTimeToNumber = convertCssTimeToNumber;
//# sourceMappingURL=convertCssTimeToNumber.js.map
