"use strict";

exports.__esModule = true;
exports.getUnhandledProps = getUnhandledProps;
/**
 * Returns an object consisting of props beyond the scope of the Component.
 * Useful for getting and spreading unknown props from the user.
 *
 * @param handledProps - An array with names of props
 * @param props - A ReactElement props object
 * @returns A shallow copy of the prop object
 */
function getUnhandledProps(handledProps, props) {
  return Object.keys(props).reduce(function (acc, prop) {
    if (handledProps.indexOf(prop) === -1) acc[prop] = props[prop];
    return acc;
  }, {});
}
//# sourceMappingURL=getUnhandledProps.js.map
