"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.mergeVariablesOverrides = mergeVariablesOverrides;
var _isPlainObject2 = _interopRequireDefault(require("lodash/isPlainObject"));
var _styles = require("@fluentui/styles");
/**
 mergeComponentVariables() is always creating a function even if the arguments are undefined we have this temporary
 fix in place to avoid creating empty function because it is breaking caching we should either fix
 mergeComponentVariables(), or handle this in a more generic way.
 */
function mergeVariablesOverrides(variables, overrides) {
  if (variables && overrides) {
    if ((0, _isPlainObject2.default)(variables) && (0, _isPlainObject2.default)(overrides)) {
      return (0, _styles.deepmerge)(variables, overrides);
    }
    return (0, _styles.mergeComponentVariables)(variables, overrides);
  }
  return variables || overrides;
}
//# sourceMappingURL=mergeVariablesOverrides.js.map
