import { KeyActions } from '@fluentui/accessibility';
import { AccessibilityActionHandlers, AccessibilityKeyHandlers } from './types';
/**
 * Assigns onKeyDown handler to the slot element, based on Component's actions
 * and keys mappings defined in Accessibility behavior
 * @param {AccessibilityActionHandlers} componentActionHandlers Actions handlers defined in a component.
 * @param {KeyActions} behaviorActions Mappings of actions and keys defined in Accessibility behavior.
 * @param {boolean} isRtlEnabled Indicates if Left and Right arrow keys should be swapped in RTL mode.
 */
export declare const getKeyDownHandlers: (componentActionHandlers: AccessibilityActionHandlers, behaviorActions: KeyActions, isRtlEnabled?: boolean | undefined) => AccessibilityKeyHandlers;
