import { AccessibilityAttributesBySlot, AccessibilityDefinition } from '@fluentui/accessibility';
import * as React from 'react';
export interface ReactAccessibilityBehavior extends AccessibilityDefinition {
    attributes: AccessibilityAttributesBySlot;
    keyHandlers: AccessibilityKeyHandlers;
}
export declare type AccessibilityKeyHandlers = {
    [slotName: string]: AccessibilityHandlerProps | undefined;
};
export declare type AccessibilityHandlerProps = {
    onKeyDown?: KeyboardEventHandler;
};
export declare type AccessibilityActionHandlers = {
    [actionName: string]: KeyboardEventHandler;
};
export declare type KeyboardEventHandler = (event: React.KeyboardEvent) => void;
