import * as React from 'react';

/**
 * Merge props for a slot to a slot prop.
 * @param slotProp - Slot prop.
 * @param slotProps - Props for the slot.
 * @param mappedProp - Optional mapped prop name for the slotProp after merging.
 */
export function mergeSlotProp(slotProp, slotProps, mappedProp) {
  var _Object$assign;
  if (mappedProp === void 0) {
    mappedProp = 'children';
  }
  if (typeof slotProp === 'object' && ! /*#__PURE__*/React.isValidElement(slotProp)) {
    return Object.assign({}, slotProp, slotProps);
  }
  return Object.assign((_Object$assign = {}, _Object$assign[mappedProp] = slotProp, _Object$assign), slotProps);
}
//# sourceMappingURL=mergeSlotProp.js.map
