import { Context, ContextSelector } from './types';
/**
 * This hook returns context selected value by selectors.
 * It will only accept context created by `createContext`.
 * It will trigger re-render if only the selected value is referencially changed.
 */
export declare const useContextSelectors: <Value extends Record<string, any>, Properties extends string, Selectors extends Record<Properties, ContextSelector<Value, SelectedValue>>, SelectedValue extends unknown>(context: Context<Value>, selectors: Selectors) => Record<Properties, SelectedValue>;
