import { Renderer } from '@fluentui/react-northstar-styles-renderer';
import { ThemeInput, ThemePrepared } from '@fluentui/styles';
import * as React from 'react';
import { Telemetry } from './telemetry/types';
export interface StylesContextPerformance {
    enableSanitizeCssPlugin: boolean;
    enableStylesCaching: boolean;
    enableVariablesCaching: boolean;
    enableBooleanVariablesCaching: boolean;
}
export declare type StylesContextPerformanceInput = Partial<StylesContextPerformance>;
export declare type ProviderContextInput = {
    rtl?: boolean;
    disableAnimations?: boolean;
    performance?: StylesContextPerformanceInput;
    renderer?: Renderer;
    theme?: ThemeInput;
    target?: Document;
    telemetry?: Telemetry;
};
export declare type ProviderContextPrepared = {
    rtl: boolean;
    disableAnimations: boolean;
    performance: StylesContextPerformance;
    renderer: Renderer;
    theme: ThemePrepared;
    telemetry: Telemetry | undefined;
    target: Document | undefined;
};
export declare const defaultPerformanceFlags: StylesContextPerformance;
export declare const defaultContextValue: ProviderContextPrepared;
export declare function useFluentContext(): ProviderContextPrepared;
export declare const Unstable_FluentContextProvider: React.Provider<ProviderContextPrepared>;
