import * as React from 'react';
declare type UseAutoControlledOptions<Value> = {
    defaultValue: Value;
    value: Value;
    initialValue?: Value;
};
/**
 * Returns a stateful value, and a function to update it. Mimics the `useState()` React Hook
 * signature.
 */
export declare const useAutoControlled: <Value>(options: UseAutoControlledOptions<Value>) => [Value, React.Dispatch<React.SetStateAction<Value>>];
export {};
