import * as React from 'react';
export var useDispatchEffect = function useDispatchEffect(dispatchEffect) {
  var latestEffect = React.useRef(dispatchEffect);
  var latestEvent = React.useRef(null);
  latestEffect.current = dispatchEffect;
  var dispatch = React.useCallback(function (e, action) {
    latestEvent.current = e;
    for (var _len = arguments.length, args = new Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
      args[_key - 2] = arguments[_key];
    }
    action.apply(void 0, args);
    latestEvent.current = null;
  }, []);
  var sideEffect = React.useCallback(function (prevState, nextState) {
    return latestEffect.current(latestEvent.current, prevState, nextState);
  }, []);
  return [dispatch, sideEffect];
};
//# sourceMappingURL=useDispatchEffect.js.map
