import * as React from 'react';
declare type UseTriggerElementOptions = {
    children?: React.ReactNode;
    trigger?: React.ReactElement;
};
/**
 * Performs consistent checks for components that are using `trigger` pattern (`Tooltip`, `Popup`). Ensures that
 * `children` or `trigger` props will always pass a valid React element to what additional props and handlers can
 * be applied.
 */
export declare function useTriggerElement(props: UseTriggerElementOptions): React.ReactElement | null;
export {};
