import { ComponentSlotStylesResolved, ComponentVariablesObject } from '@fluentui/styles';
import { ComponentSlotClasses, ResolveStylesOptions } from './types';
export declare type ResolveStylesResult = {
    resolvedStyles: ComponentSlotStylesResolved;
    resolvedStylesDebug: Record<string, {
        styles: Object;
    }[]>;
    classes: ComponentSlotClasses;
};
/**
 * Both resolvedStyles and classes are objects of getters with lazy evaluation
 *
 * Additionally if the cacheEnabled option is provided, than the resolved styles
 * and classes are caching the results in WeakMaps. The key of the maps contains the following:
 * - theme
 * - displayName
 * - slot name
 * - styling props
 * - rtl mode
 * - disable animations mode
 */
export declare const resolveStyles: (options: ResolveStylesOptions, resolvedVariables: ComponentVariablesObject) => ResolveStylesResult;
